Description

Currently you can only set the the Text formatting to Textile or Markdown globally. You can't manually select what you prefer at
user/issue/project base.

Additionally upgrading from Textile to Markdown is error prone and at some size it is not manageable to manually fix the caused
problems due conversion (Reformat plugin).

So there is no reasonable way to convert from textile to markdown.

Even then long term users might insist that they are used to textile and they do not know markdown (ofc there is a workaround,
learning a new syntax).

Please add the possibility to choose the formatting at user/issue/project base.
Without the option a transition from textile to markdown is pretty impossible (old stuff could keep textile, new stuff markdown).

Related issues:

Related to Redmine - Feature #34863: Change default text formatter for new in... Closed
Is duplicate of Redmine - Feature #8095: Allow overriding the default text fo... New 2011-04-07
History

#1 - 2023-02-20 12:44 - Christian Kay

Are there other plans to make it possible to switch to markdown that is likewise the new default at Redmine ?
Otherwise every existing redmine instance (that is not very small) is rather screwed :(

#2 - 2023-02-23 22:15 - Holger Just

- Related to Feature #34863: Change default text formatter for new installations from textile to common_mark added

#3 - 2023-02-23 22:17 - Holger Just
- Is duplicate of Feature #8095: Allow overriding the default text formatting in each project added

#4 - 2023-02-23 22:28 - Holger Just
- Status changed from New to Closed

- Resolution set to Duplicate

A per-field formatting is not easy to do as we would have to store the formatting for each field separately in the database and update every place
which formats text to take the respective field setting into account. As such, I'm afraid this is likely not going to happen.

Instead the general way forward within Redmine is currently to set the default formatting for new installations to Common Mark with #34863.
To migrate existing Redmine installations from Textile to Common Mark, you can then use a converter, such as the Reformat plugin. Going forward,
we are likely including something similar into Redmine and likely also provide some API for plugins to hook into. If you find some cases where the

plugin or its forks / variants / predecessors produce unexpected output, please report those cases there.

In any case, your original issue is a duplicate of #8095 and I'm closing it as such.
https://www.redmine.org/issues/34863
https://github.com/orchitech/redmine_reformat
https://www.redmine.org/issues/8095
http://www.tcpdf.org

